import { ApplicationRef, Injector, ComponentFactoryResolver } from '@angular/core';
import { NgfModalRef } from './modal-ref';
export declare class NgfModalStack {
    private _applicationRef;
    private _injector;
    private _componentFactoryResolver;
    private _backdropFactory;
    private _windowFactory;
    constructor(_applicationRef: ApplicationRef, _injector: Injector, _componentFactoryResolver: ComponentFactoryResolver);
    open(moduleCFR: ComponentFactoryResolver, contentInjector: Injector, content: any, options: any): NgfModalRef;
    private _applyWindowOptions(windowInstance, options);
    private _getContentRef(moduleCFR, contentInjector, content, context);
}
