import { NgModule } from '@angular/core';
import { NgfModalBackdrop } from './modal-backdrop';
import { NgfModalWindow } from './modal-window';
import { NgfModalStack } from './modal-stack';
import { NgfModal } from './modal.service';
export { NgfModal } from './modal.service';
export { NgfModalRef, NgfActiveModal } from './modal-ref';
export { ModalDismissReasons } from './modal-dismiss-reasons';
var NgfModalModule = (function () {
    function NgfModalModule() {
    }
    NgfModalModule.forRoot = function () {
        return {
            ngModule: NgfModalModule,
            providers: [NgfModal, NgfModalStack]
        };
    };
    return NgfModalModule;
}());
export { NgfModalModule };
NgfModalModule.decorators = [
    { type: NgModule, args: [{
                declarations: [
                    NgfModalBackdrop,
                    NgfModalWindow
                ],
                entryComponents: [
                    NgfModalBackdrop,
                    NgfModalWindow
                ],
                providers: []
            },] },
];
/** @nocollapse */
NgfModalModule.ctorParameters = function () { return []; };
//# sourceMappingURL=modal.module.js.map